ALTER TABLE Puc ADD IdCueNiif VARCHAR(16) DEFAULT('0') NOT NULL 
GO
ALTER TABLE TiposCom ADD ClaseNiif VARCHAR(10) DEFAULT('CONTAB')
GO
ALTER TABLE Conceptos ADD TipoContab VARCHAR(10) DEFAULT('G'),CdComNiif VARCHAR(3),CdComFiscal VARCHAR(3)
GO
ALTER TABLE Trn_Comprobantes ADD NiifTipo VARCHAR(3),NiifNumero INT DEFAULT(0) NOT NULL,FisTipo VARCHAR(3),FisNumero INT DEFAULT(0) NOT NULL
GO
ALTER TABLE Trn_AfAmtComp ADD TipoCompNiif VARCHAR(3),NumCompNiif INT DEFAULT(0) NOT NULL,TipoCompFis VARCHAR(3),NumCompFis INT DEFAULT(0) NOT NULL
GO
ALTER TABLE Trn_AfDeprecCom ADD TipoCompNiif VARCHAR(3),NumCompNiif INT DEFAULT(0) NOT NULL,TipoCompFis VARCHAR(3),NumCompFis INT DEFAULT(0) NOT NULL
GO
CREATE TABLE PucNiif ( 
IdCuenta VARCHAR(16) NOT NULL,
NomCuenta VARCHAR(250) NOT NULL,
Mayor BIT DEFAULT ((0)) NOT NULL,
Movimiento BIT DEFAULT ((0)) NOT NULL,
Tercero BIT DEFAULT ((0)) NOT NULL,
Vehiculo BIT DEFAULT ((0)) NOT NULL,
Agencia BIT DEFAULT ((0)) NOT NULL,
CentroCosto BIT DEFAULT ((0)) NOT NULL,
SubCentro BIT DEFAULT ((0)) NOT NULL,
Vencimiento BIT DEFAULT ((0)) NOT NULL,
BaseGravable BIT DEFAULT ((0)) NOT NULL,
TarifaPred DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
Naturaleza CHAR(1) DEFAULT ('D') NOT NULL,
Ajustable BIT DEFAULT ((0)) NOT NULL,
CuentaAjuDeb VARCHAR(16),
CuentaAjuCre VARCHAR(16),
Cheques BIT DEFAULT ((0)) NOT NULL,
Referencias BIT DEFAULT ((0)) NOT NULL,
CdTipDoc VARCHAR(3),
FechaCrea SMALLDATETIME NOT NULL,
FechaAct SMALLDATETIME,
IdUsuario VARCHAR(11) NOT NULL,
Inactivo BIT DEFAULT ((0)) NOT NULL,
Afijos INT DEFAULT ((0)),
ListarConc VARCHAR(4) DEFAULT ('0'),
ReqAutorizac BIT DEFAULT ((0)) NOT NULL,
AntProveedor BIT DEFAULT ((0)) NOT NULL
 CONSTRAINT PK_PucNiif PRIMARY KEY CLUSTERED (IdCuenta),
 CONSTRAINT CK_PucNiifIdCuenta CHECK ((len([IdCuenta])>(0))),
 CONSTRAINT CK_PucNiifIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_PucNiifNaturaleza CHECK ((len([Naturaleza])>(0))),
 CONSTRAINT CK_PucNiifNomCuenta CHECK ((len([NomCuenta])>(0))))
GO
CREATE TABLE NiifPeriodos ( 
Anno INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) DEFAULT ('01') NOT NULL,
Niif INT DEFAULT ((0)) NOT NULL,
Ene BIT DEFAULT ((0)) NOT NULL,
Feb BIT DEFAULT ((0)) NOT NULL,
Mar BIT DEFAULT ((0)) NOT NULL,
Abr BIT DEFAULT ((0)) NOT NULL,
May BIT DEFAULT ((0)) NOT NULL,
Jun BIT DEFAULT ((0)) NOT NULL,
Jul BIT DEFAULT ((0)) NOT NULL,
Ago BIT DEFAULT ((0)) NOT NULL,
Sep BIT DEFAULT ((0)) NOT NULL,
Oct BIT DEFAULT ((0)) NOT NULL,
Nov BIT DEFAULT ((0)) NOT NULL,
Dic BIT DEFAULT ((0)) NOT NULL,
CierreAnno BIT DEFAULT ((0)) NOT NULL
 CONSTRAINT PK_NiifPeriodos PRIMARY KEY CLUSTERED (Anno,IdCia,Niif),
 CONSTRAINT CK_NiifPeriodosIdCia CHECK ((len([IdCia])>(0))))
GO
CREATE TABLE Trn_NiifComp ( 
TipCom VARCHAR(3) NOT NULL,
Comprobante INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) DEFAULT ('01') NOT NULL,
Fecha SMALLDATETIME NOT NULL,
IdTercero VARCHAR(16) NOT NULL,
VrTotal MONEY DEFAULT ((0)) NOT NULL,
IdCta VARCHAR(4) NOT NULL,
EnEfectivo BIT DEFAULT ((0)) NOT NULL,
NumCheque VARCHAR(20),
FecCheque SMALLDATETIME,
TipDoc VARCHAR(3) NOT NULL,
Documento INT DEFAULT ((0)) NOT NULL,
IdCiaDoc CHAR(2) NOT NULL,
Anulado BIT DEFAULT ((0)) NOT NULL,
NumDev INT DEFAULT ((0)) NOT NULL,
FecDev SMALLDATETIME,
TipEgr VARCHAR(3),
NEgreso INT DEFAULT ((0)) NOT NULL,
pVehiculo VARCHAR(10),
VehPropio INT DEFAULT ((0)),
CedCondtor VARCHAR(16),
CodConce VARCHAR(4),
Beneficiario VARCHAR(250),
VrDivisa1 DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrDivisa2 DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrDivisa3 DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
PermEditar BIT DEFAULT ((0)) NOT NULL,
Integrado BIT DEFAULT ((0)) NOT NULL,
EsEgreso BIT DEFAULT ((0)) NOT NULL,
Anticipo BIT DEFAULT ((0)) NOT NULL,
Observacion VARCHAR(1000),
IdEstado VARCHAR(4) NOT NULL,
Propddes VARCHAR(50),
TimeSys SMALLDATETIME NOT NULL,
FecUpdate SMALLDATETIME,
IdCiaCrea CHAR(2) DEFAULT ('01') NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
TipoNiif VARCHAR(10) DEFAULT ('NIIF') NOT NULL,
CdSustento VARCHAR(4),
Tipo_Pago VARCHAR(10),
Establec VARCHAR(20),
PEmision VARCHAR(20),
Autorizac VARCHAR(50),
FechaAut SMALLDATETIME,
CtbTipo VARCHAR(3),
CtbNumero INT DEFAULT ((0)) NOT NULL,
FisTipo VARCHAR(3),
FisNumero INT DEFAULT ((0)) NOT NULL
 CONSTRAINT PK_Trn_NiifComp PRIMARY KEY CLUSTERED (TipCom,Comprobante,IdCia),
 CONSTRAINT CK_Trn_NiifCompIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_NiifCompIdCiaCrea CHECK ((len([IdCiaCrea])>(0))),
 CONSTRAINT CK_Trn_NiifCompIdCiaDoc CHECK ((len([IdCiaDoc])>(0))),
 CONSTRAINT CK_Trn_NiifCompIdCta CHECK ((len([IdCta])>(0))),
 CONSTRAINT CK_Trn_NiifCompIdEstado CHECK ((len([IdEstado])>(0))),
 CONSTRAINT CK_Trn_NiifCompIdTercero CHECK ((len([IdTercero])>(0))),
 CONSTRAINT CK_Trn_NiifCompIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_Trn_NiifCompTipCom CHECK ((len([TipCom])>(0))),
 CONSTRAINT CK_Trn_NiifCompTipDoc CHECK ((len([TipDoc])>(0))),
 CONSTRAINT CK_Trn_NiifCompTipoNiif CHECK ((len([TipoNiif])>(0))))
GO
CREATE TABLE Trn_NiifDetalle ( 
TipCom VARCHAR(3) NOT NULL,
Comprobante INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) DEFAULT ('01') NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
IdCuenta VARCHAR(16) NOT NULL,
Detalle VARCHAR(250) NOT NULL,
VrDebito MONEY DEFAULT ((0)) NOT NULL,
VrCredito MONEY DEFAULT ((0)) NOT NULL,
IdTercero VARCHAR(16) NOT NULL,
IdVehiculo VARCHAR(10) DEFAULT ('0') NOT NULL,
IdCCosto VARCHAR(16) NOT NULL,
IdSubCos VARCHAR(16) NOT NULL,
VrBase MONEY DEFAULT ((0)) NOT NULL,
TarifaBase DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
TipDoc VARCHAR(3),
Documento INT DEFAULT ((0)) NOT NULL,
IdCiaDoc CHAR(2) DEFAULT ('01'),
CodConce VARCHAR(4),
NitDoc VARCHAR(16),
TipFac VARCHAR(3),
Factura VARCHAR(15),
IdCiaFac CHAR(2) DEFAULT ('01'),
ItemFac INT DEFAULT ((0)) NOT NULL,
FecVence SMALLDATETIME NOT NULL,
CodCta VARCHAR(4),
NumCheque VARCHAR(20),
Integrado BIT DEFAULT ((0)) NOT NULL,
TipoAplica CHAR(1) DEFAULT ('N') NOT NULL,
Consolida BIT DEFAULT ((0)) NOT NULL,
CodCargo VARCHAR(4),
NitOtros VARCHAR(16),
CodSubgpo VARCHAR(8),
CiuOrigen VARCHAR(8),
CodAgncia VARCHAR(16) DEFAULT ('0') NOT NULL,
VehPropio INT DEFAULT ((0)),
Referncia VARCHAR(50),
TipDocRef VARCHAR(3),
DocRef INT DEFAULT ((0)) NOT NULL,
IdCiaRef CHAR(2) DEFAULT ('01'),
TimeSys SMALLDATETIME NOT NULL,
FecUpdate SMALLDATETIME,
IdCiaCrea CHAR(2) DEFAULT ('01') NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
CdConcTrib VARCHAR(4),
CdTarifTrib VARCHAR(4),
NumEstablec VARCHAR(20),
PtoEmision VARCHAR(20),
Num_Autoriza VARCHAR(50),
FechAutoriza SMALLDATETIME,
CodCuentaCG VARCHAR(16)
 CONSTRAINT PK_Trn_NiifDetalle PRIMARY KEY NONCLUSTERED (TipCom,Comprobante,IdCia,Item),
 CONSTRAINT CK_Trn_NiifDetalleCodAgncia CHECK ((len([CodAgncia])>(0))),
 CONSTRAINT CK_Trn_NiifDetalleDetalle CHECK ((len([Detalle])>(0))),
 CONSTRAINT CK_Trn_NiifDetalleIdCCosto CHECK ((len([IdCCosto])>(0))),
 CONSTRAINT CK_Trn_NiifDetalleIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_NiifDetalleIdCiaCrea CHECK ((len([IdCiaCrea])>(0))),
 CONSTRAINT CK_Trn_NiifDetalleIdCuenta CHECK ((len([IdCuenta])>(0))),
 CONSTRAINT CK_Trn_NiifDetalleIdSubCos CHECK ((len([IdSubCos])>(0))),
 CONSTRAINT CK_Trn_NiifDetalleIdTercero CHECK ((len([IdTercero])>(0))),
 CONSTRAINT CK_Trn_NiifDetalleIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_Trn_NiifDetalleIdVehiculo CHECK ((len([IdVehiculo])>(0))),
 CONSTRAINT CK_Trn_NiifDetalleTipCom CHECK ((len([TipCom])>(0))),
 CONSTRAINT CK_Trn_NiifDetalleTipoAplica CHECK ((len([TipoAplica])>(0))))
GO
CREATE TABLE NomTiposComp ( 
IdConc VARCHAR(4) NOT NULL,
CdNom VARCHAR(4) NOT NULL,
Concepto VARCHAR(50) NOT NULL,
TipoContab VARCHAR(10) NOT NULL,
CdCom VARCHAR(3),
CdComNiif VARCHAR(3),
CdComFiscal VARCHAR(3)
 CONSTRAINT PK_NomTiposComp PRIMARY KEY CLUSTERED (IdConc,CdNom),
 CONSTRAINT CK_NomTiposCompCdNom CHECK ((len([CdNom])>(0))),
 CONSTRAINT CK_NomTiposCompConcepto CHECK ((len([Concepto])>(0))),
 CONSTRAINT CK_NomTiposCompIdConc CHECK ((len([IdConc])>(0))),
 CONSTRAINT CK_NomTiposCompTipoContab CHECK ((len([TipoContab])>(0))))
GO
CREATE TABLE AfTiposComp ( 
IdConc VARCHAR(4) NOT NULL,
Concepto VARCHAR(50) NOT NULL,
TipoContab VARCHAR(10) NOT NULL,
CdCom VARCHAR(3),
CdComNiif VARCHAR(3),
CdComFiscal VARCHAR(3)
 CONSTRAINT PK_AfTiposComp PRIMARY KEY CLUSTERED (IdConc),
 CONSTRAINT CK_AfTiposCompConcepto CHECK ((len([Concepto])>(0))),
 CONSTRAINT CK_AfTiposCompIdConc CHECK ((len([IdConc])>(0))),
 CONSTRAINT CK_AfTiposCompTipoContab CHECK ((len([TipoContab])>(0))))
GO
CREATE TABLE tm_NiifMov ( 
tmEst CHAR(2) DEFAULT ('01') NOT NULL,
TipCom VARCHAR(3) NOT NULL,
Comprobante INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) DEFAULT ('01') NOT NULL,
Item INT DEFAULT (0) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
IdCuenta VARCHAR(16) NOT NULL,
Detalle VARCHAR(250),
VrDebito MONEY DEFAULT (0) NOT NULL,
VrCredito MONEY DEFAULT (0) NOT NULL,
IdTercero VARCHAR(16) NOT NULL,
IdVehiculo VARCHAR(10) DEFAULT ('0') NOT NULL,
IdCCosto VARCHAR(16) DEFAULT ('0') NOT NULL,
IdSubCos VARCHAR(16) DEFAULT ('0') NOT NULL,
VrBase MONEY DEFAULT (0) NOT NULL,
TarifaBase DECIMAL(14,4) DEFAULT (0) NOT NULL,
TipDoc VARCHAR(3),
Documento INT DEFAULT (0) NOT NULL,
IdCiaDoc CHAR(2) DEFAULT ('01'),
CodConce VARCHAR(4),
NitDoc VARCHAR(16),
TipFac VARCHAR(3),
Factura VARCHAR(15),
IdCiaFac CHAR(2) DEFAULT ('01'),
ItemFac INT DEFAULT (0) NOT NULL,
FecVence SMALLDATETIME,
CodCta VARCHAR(4),
NumCheque VARCHAR(20),
Integrado BIT DEFAULT (0) NOT NULL,
TipoAplica CHAR(1) DEFAULT ('N'),
Consolida BIT DEFAULT (0) NOT NULL,
CodCargo VARCHAR(4),
NitOtros VARCHAR(16),
CodSubgpo VARCHAR(8),
CiuOrigen VARCHAR(8),
CodAgncia VARCHAR(16) DEFAULT ('0') NOT NULL,
VehPropio INT DEFAULT ((0)) NOT NULL,
Referncia VARCHAR(50),
TipDocRef VARCHAR(3),
DocRef INT DEFAULT (0) NOT NULL,
IdCiaRef CHAR(2) DEFAULT ('01'),
VrSanCue MONEY DEFAULT (0) NOT NULL,
VrSanCueCia MONEY DEFAULT (0) NOT NULL,
VrSanNit MONEY DEFAULT (0) NOT NULL,
VrSanNitCia MONEY DEFAULT (0) NOT NULL,
VrSanVeh MONEY DEFAULT (0) NOT NULL,
VrSanVehCia MONEY DEFAULT (0) NOT NULL,
VrSanCc MONEY DEFAULT (0) NOT NULL,
VrSanCcCia MONEY DEFAULT (0) NOT NULL,
VrSanCcSub MONEY DEFAULT (0) NOT NULL,
VrSanCcSubCia MONEY DEFAULT (0) NOT NULL,
VrSanNitCc MONEY DEFAULT (0) NOT NULL,
VrSanNitCcCia MONEY DEFAULT (0) NOT NULL,
VrSanNitCcSub MONEY DEFAULT (0) NOT NULL,
VrSanNitCcSubCia MONEY DEFAULT (0) NOT NULL,
VrSanNitAge MONEY DEFAULT (0) NOT NULL,
VrSanNitAgeCia MONEY DEFAULT (0) NOT NULL,
VrSanNitAgeCc MONEY DEFAULT (0) NOT NULL,
VrSanNitAgeCcCia MONEY DEFAULT (0) NOT NULL,
VrSanNitAgeCcSub MONEY DEFAULT (0) NOT NULL,
VrSanNitAgeCcSubCia MONEY DEFAULT (0) NOT NULL,
VrSanNitVeh MONEY DEFAULT (0) NOT NULL,
VrSanNitVehCia MONEY DEFAULT (0) NOT NULL,
VrSanNitVehCc MONEY DEFAULT (0) NOT NULL,
VrSanNitVehCcCia MONEY DEFAULT (0) NOT NULL,
VrSanVehCc MONEY DEFAULT (0) NOT NULL,
VrSanVehCcCia MONEY DEFAULT (0) NOT NULL,
VrSanVehCcSub MONEY DEFAULT (0) NOT NULL,
VrSanVehCcSubCia MONEY DEFAULT (0) NOT NULL,
CodCuentaCG VARCHAR(16)
 CONSTRAINT PK_tm_NiifMov PRIMARY KEY NONCLUSTERED (tmEst,TipCom,Comprobante,IdCia,Item),
 CONSTRAINT CK_tm_NiifMovCodAgncia CHECK ((len([CodAgncia]) > 0)),
 CONSTRAINT CK_tm_NiifMovIdCCosto CHECK ((len([IdCCosto]) > 0)),
 CONSTRAINT CK_tm_NiifMovIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_tm_NiifMovIdCuenta CHECK ((len([IdCuenta]) > 0)),
 CONSTRAINT CK_tm_NiifMovIdSubCos CHECK ((len([IdSubCos]) > 0)),
 CONSTRAINT CK_tm_NiifMovIdTercero CHECK ((len([IdTercero]) > 0)),
 CONSTRAINT CK_tm_NiifMovIdVehiculo CHECK ((len([IdVehiculo]) > 0)),
 CONSTRAINT CK_tm_NiifMovTipCom CHECK ((len([TipCom]) > 0)),
 CONSTRAINT CK_tm_NiifMovtmEst CHECK ((len([tmEst]) > 0)))
GO
CREATE TABLE tm_NiifCom ( 
tmEst CHAR(2) DEFAULT ('01') NOT NULL,
tmIdCuenta VARCHAR(16) NOT NULL,
tmIdCia CHAR(2) NOT NULL,
tmItem INT DEFAULT ((0)) NOT NULL,
tmIdTercero VARCHAR(16) DEFAULT ('0') NOT NULL,
tmIdVehiculo VARCHAR(10) DEFAULT ('0') NOT NULL,
tmIdCCosto VARCHAR(16) DEFAULT ('0') NOT NULL,
tmIdSubCos VARCHAR(16) DEFAULT ('0') NOT NULL,
tmCodAgncia VARCHAR(16) DEFAULT ('0') NOT NULL,
tmTipo VARCHAR(4) DEFAULT ('0') NOT NULL,
tmSaldoAnterior MONEY DEFAULT ((0)) NOT NULL,
tmTotalDebitos MONEY DEFAULT ((0)) NOT NULL,
tmTotalCreditos MONEY DEFAULT ((0)) NOT NULL,
tmNuevoSaldo MONEY DEFAULT ((0)) NOT NULL,
tmSaldoAnterior2 MONEY DEFAULT ((0)) NOT NULL,
tmTotalDebitos2 MONEY DEFAULT ((0)) NOT NULL,
tmTotalCreditos2 MONEY DEFAULT ((0)) NOT NULL,
tmNuevoSaldo2 MONEY DEFAULT ((0)) NOT NULL
 CONSTRAINT PK_tm_NiifCom PRIMARY KEY CLUSTERED (tmEst,tmIdCuenta,tmIdCia,tmItem),
 CONSTRAINT CK_tm_NiifComtmCodAgncia CHECK ((len([tmCodAgncia])>(0))),
 CONSTRAINT CK_tm_NiifComtmEst CHECK ((len([tmEst])>(0))),
 CONSTRAINT CK_tm_NiifComtmIdCCosto CHECK ((len([tmIdCCosto])>(0))),
 CONSTRAINT CK_tm_NiifComtmIdCuenta CHECK ((len([tmIdCuenta])>(0))),
 CONSTRAINT CK_tm_NiifComtmIdSubCos CHECK ((len([tmIdSubCos])>(0))),
 CONSTRAINT CK_tm_NiifComtmIdTercero CHECK ((len([tmIdTercero])>(0))),
 CONSTRAINT CK_tm_NiifComtmIdVehiculo CHECK ((len([tmIdVehiculo])>(0))),
 CONSTRAINT CK_tm_NiifComtmTipo CHECK ((len([tmTipo])>(0))))
GO
CREATE TABLE tm_NiifGen ( 
tmEst CHAR(2) DEFAULT ('01') NOT NULL,
tmIdCuenta VARCHAR(16) NOT NULL,
tmIdCia CHAR(2) DEFAULT ('00') NOT NULL,
tmSaldoAnterior MONEY DEFAULT (0) NOT NULL,
tmTotalDebitos MONEY DEFAULT (0) NOT NULL,
tmTotalCreditos MONEY DEFAULT (0) NOT NULL,
tmNuevoSaldo MONEY DEFAULT (0) NOT NULL,
tmSalAnt2 MONEY DEFAULT (0) NOT NULL,
tmDebitos2 MONEY DEFAULT (0) NOT NULL,
tmCreditos2 MONEY DEFAULT (0) NOT NULL,
tmSaldo2 MONEY DEFAULT (0) NOT NULL
 CONSTRAINT PK_tm_NiifGen PRIMARY KEY CLUSTERED (tmEst,tmIdCuenta,tmIdCia),
 CONSTRAINT CK_tm_NiifGentmEst CHECK ((len([tmEst]) > 0)),
 CONSTRAINT CK_tm_NiifGentmIdCia CHECK ((len([tmIdCia]) > 0)),
 CONSTRAINT CK_tm_NiifGentmIdCuenta CHECK ((len([tmIdCuenta]) > 0)))
GO

ALTER TABLE PucNiif ADD 
 CONSTRAINT FK_PucNiif_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario)

ALTER TABLE Trn_NiifComp ADD 
 CONSTRAINT FK_Trn_NiifComp_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_NiifComp_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_NiifComp_Companias1 FOREIGN KEY (IdCiaDoc) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_NiifComp_Companias2 FOREIGN KEY (IdCiaCrea) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_NiifComp_CtasCorrientes FOREIGN KEY (IdCta) REFERENCES [dbo].[CtasCorrientes] (IdCta),
 CONSTRAINT FK_Trn_NiifComp_EstadoDoc FOREIGN KEY (IdEstado) REFERENCES [dbo].[EstadoDoc] (IdEstado),
 CONSTRAINT FK_Trn_NiifComp_Terceros FOREIGN KEY (IdTercero) REFERENCES [dbo].[Terceros] (IdTercero),
 CONSTRAINT FK_Trn_NiifComp_TiposCom FOREIGN KEY (TipCom) REFERENCES [dbo].[TiposCom] (IdCom)

 CREATE NONCLUSTERED INDEX IX_Trn_NiifCompFecha ON Trn_NiifComp(Fecha)
 CREATE NONCLUSTERED INDEX IX_Trn_NiifCompIdTercero ON Trn_NiifComp(IdTercero)
 CREATE NONCLUSTERED INDEX IX_Trn_NiifCompDocumento ON Trn_NiifComp(TipDoc,Documento,IdCiaDoc)
 CREATE NONCLUSTERED INDEX IX_Trn_NiifCompIdCta ON Trn_NiifComp(IdCta)

ALTER TABLE Trn_NiifDetalle ADD 
 CONSTRAINT FK_Trn_NiifDetalle_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_NiifDetalle_CentroCosto FOREIGN KEY (IdCCosto) REFERENCES [dbo].[CentroCosto] (IdCCosto),
 CONSTRAINT FK_Trn_NiifDetalle_Companias FOREIGN KEY (IdCiaCrea) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_NiifDetalle_PucNiif FOREIGN KEY (IdCuenta) REFERENCES [dbo].[PucNiif] (IdCuenta),
 CONSTRAINT FK_Trn_NiifDetalle_Terceros FOREIGN KEY (IdTercero) REFERENCES [dbo].[Terceros] (IdTercero),
 CONSTRAINT FK_Trn_NiifDetalle_Trn_NiifComp FOREIGN KEY (TipCom,Comprobante,IdCia) REFERENCES [dbo].[Trn_NiifComp] (TipCom,Comprobante,IdCia)

 CREATE CLUSTERED INDEX IX_Trn_NiifDetalleFecha ON Trn_NiifDetalle(Fecha,IdCuenta,IdCia)
 CREATE NONCLUSTERED INDEX IX_Trn_NiifDetalleIdCCosto ON Trn_NiifDetalle(IdCCosto)
 CREATE NONCLUSTERED INDEX IX_Trn_NiifDetalleIdSubCos ON Trn_NiifDetalle(IdSubCos)
 CREATE NONCLUSTERED INDEX IX_Trn_NiifDetalleIdTercero ON Trn_NiifDetalle(IdTercero)
 CREATE NONCLUSTERED INDEX IX_Trn_NiifDetalleCodAgncia ON Trn_NiifDetalle(CodAgncia)
 CREATE NONCLUSTERED INDEX IX_Trn_NiifDetalleIdVehiculo ON Trn_NiifDetalle(IdVehiculo)

CREATE CLUSTERED INDEX IX_tm_NiifMovIdCuentaIdCia ON tm_NiifMov(tmEst,IdCuenta,IdCia,IdTercero)
 CREATE NONCLUSTERED INDEX IX_tm_NiifMovIdCCosto ON tm_NiifMov(IdCCosto)
 CREATE NONCLUSTERED INDEX IX_tm_NiifMovCodAgncia ON tm_NiifMov(CodAgncia)
 CREATE NONCLUSTERED INDEX IX_tm_NiifMovIdSubCos ON tm_NiifMov(IdSubCos)
 CREATE NONCLUSTERED INDEX IX_tm_NiifMovIdVehiculo ON tm_NiifMov(IdVehiculo)

 CREATE NONCLUSTERED INDEX IX_tm_NiifComtmIdVehiculo ON tm_NiifCom(tmIdVehiculo)
 CREATE NONCLUSTERED INDEX IX_tm_NiifComtmIdTercero ON tm_NiifCom(tmIdTercero)
 CREATE NONCLUSTERED INDEX IX_tm_NiifComtmIdCCosto ON tm_NiifCom(tmIdCCosto)
 CREATE NONCLUSTERED INDEX IX_tm_NiifComtmCodAgncia ON tm_NiifCom(tmCodAgncia)

CREATE NONCLUSTERED INDEX IX_tm_NiifGentmIdCuenta ON tm_NiifGen(tmIdCuenta)
 CREATE NONCLUSTERED INDEX IX_tm_NiifGentmIdCia ON tm_NiifGen(tmIdCia)
